Bug 245961 - description wrong: fonts.dir does not provide original postscript fonts
description wrong: fonts.dir does not provide original postscript fonts
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: urw-fonts (Show other bugs)
7
All Linux
low Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-27 13:01 EDT by Mark Alford
Modified: 2008-02-11 10:45 EST (History)
3 users (show)

See Also:
Fixed In Version: 0.2-2.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-11 09:37:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ghostscript-fonts-8.11-1ht fonts.dir file (26.53 KB, text/plain)
2007-06-28 12:34 EDT, Mark Alford
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 195527 None None None Never

  None (edit)
Description Mark Alford 2007-06-27 13:01:16 EDT
Description of problem:
The ghostscript-fonts package does not supply a fonts.dir file along with the
font files. This means that non-ghostscript applications like xfig cannot find
or use the ghostscript scalable fonts. As a result xfig does not work properly
under Fedora 7: it complains about being unable to find basic fonts like
Helevtica Bold.

In contrast, the urw-fonts package is correctly structured and does contain a
fonts.dir file. However, it does not supply standard fonts like Helvetica.

I originally filed a similar bug under FC5 (Bug ID 195527).
Comment 1 Tim Waugh 2007-06-28 11:41:53 EDT
The post scriptlet does in fact run 'mkfontdir
/usr/share/fonts/default/ghostscript/', which creates a fonts.dir file, and has
done so since 5.50-14, shortly before F-7 was released.

So can you be more specific about how you are looking for the fonts.dir file, or
how you installed?
Comment 2 Mark Alford 2007-06-28 12:34:02 EDT
Created attachment 158141 [details]
ghostscript-fonts-8.11-1ht fonts.dir file
Comment 3 Mark Alford 2007-06-28 12:35:06 EDT
OK, you are right. I was wrong in thinking that the problem was that
ghostscript-fonts-5.50-16.fc7 had no fonts.dir file. 
But its fonts.dir doesn't have entries for any of the standard
fonts like Helvetica, Courier, Times, etc, so X applications
can't get those fonts from ghostscript-fonts-5.50-16.fc7.


Here is the raw user experience. Instead of xfig I used xload to probe the 
availability of basic scalable ghostscript fonts like helvetica.

1) With ghostscript-fonts-8.11-1ht installed, the command
> xload -fn '-*-helvetica-bold-r-normal--21-*-*-*-*-*-ISO8859-*'
works fine, and pops up a window that uses the requested font.

2) With ghostscript-fonts-5.50-16.fc7 installed instead, the command
> xload -fn '-*-helvetica-bold-r-normal--21-*-*-*-*-*-ISO8859-*'
yields the message:
  Warning: Cannot convert string
"-*-helvetica-bold-r-normal--21-*-*-*-*-*-ISO8859-*" to type FontStruct


Now, in trying to see why this might be, I looked at the fonts.dir files
for each ghostscript-fonts package.

ghostscript-fonts-8.11-1ht supplies 
  /usr/share/ghostscript/fonts/fonts.dir
which is 392 lines long and contains entries for all the standard
fonts (Helvetica, Courier, Times, etc)

ghostscript-fonts-5.50-16.fc7 supplies
  /usr/share/fonts/default/ghostscript/fonts.dir
which is 51 lines long (!) and contains no entries for any of the
standard fonts.

I have attached a copy of the ghostscript-fonts-8.11-1ht fonts.dir file
so you can see what I mean.

Comment 4 Tim Waugh 2007-06-28 12:46:35 EDT
As far as I can tell, the "standard fonts" you name are all licensed fonts which
cannot be redistributed under appropriate licenses for Fedora.

Please try the liberation-fonts package, which contains Liberation Sans,
Liberation Serif, and Liberation Mono.

It does look as though that package doesn't properly run mkfontdir in its %post
scriptlet though.. changing component and reassigning.
Comment 5 Mark Alford 2007-08-08 12:22:38 EDT
OK, I think this is fundamentally like Bug 122503: urw-fonts is supposed to
supply the PostScript fonts under pseudonyms like "Nimbus Sans", and xft is
supposed to alias those to "Helvetica" etc, but that isn't working, at least
under Fedora 7.

For example, the command
> xload -fn '-*-helvetica-bold-r-normal--21-*-*-*-*-*-ISO8859-*'
yields the message:
  Warning: Cannot convert string
"-*-helvetica-bold-r-normal--21-*-*-*-*-*-ISO8859-*" to type FontStruct

This behavior is observed under Fedora 7 with urw-fonts-2.3-6.1.1.

Comment 6 Jens Petersen 2007-09-12 08:24:49 EDT
Fixing in devel with liberation-fonts-0.2-3.fc8.

Leaving this open for F7 update.
Comment 7 Jens Petersen 2007-09-25 00:49:43 EDT
Caius can you do an update for F7 when you have time?
Comment 8 Caius Chance 2007-10-01 22:31:45 EDT
Built liberation-fonts-0.2-2.fc7:
http://koji.fedoraproject.org/koji/buildinfo?buildID=19978
Comment 9 Caius Chance 2007-10-01 22:36:25 EDT
Pushed to testing:
https://admin.fedoraproject.org/updates/pending/F7/liberation-fonts-0.2-2.fc7
Comment 10 Fedora Update System 2007-10-03 17:17:48 EDT
liberation-fonts-0.2-2.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update liberation-fonts'
Comment 11 Mark Alford 2007-10-04 13:33:33 EDT
The new liberation-fonts package supplies some Microsoft fonts, but
does not address the fundamental problem here, which is the availability
of scalable PostScript fonts.

Symptom: with ghostscript-fonts-5.50-16.fc7, urw-fonts-2.3-6.1.1, and
liberation-fonts-0.2-2.fc7 installed, the following commands yield the
"Cannot convert string to type FontStruct" error:

xload -fn '-*-palatino-*-r-*-*-0-*-*-*-*-*-*-*'
xload -fn '-*-avantgarde-*-r-*-*-0-*-*-*-*-*-*-*'
xload -fn '-*-bookman-*-r-*-*-0-*-*-*-*-*-*-*'
xload -fn '-*-new century schoolbook-*-r-*-*-0-*-*-*-*-*-*-*'
xload -fn '-*-times-medium-r-*-*-0-*-*-*-*-*-ISO8859-*'


These fonts ARE made available by ghostscript-fonts-8.11-1ht.noarch.rpm, 
which is not part of Fedora, but are NOT available when Fedora's 
ghostscript-fonts-5.50-16.fc7 package is installed.

Also, the urw-fonts package claims to supply these fonts but
apparently this does not work. The urw-fonts description specifically
says "The fonts.dir file font names match the original Adobe names of
the fonts (e.g., Times, Helvetica, etc.)." but you can look at the
fonts.dir file and see that this simply is not true.
Comment 12 Caius Chance 2007-10-04 20:40:49 EDT
(In reply to comment #11)
> The new liberation-fonts package supplies some Microsoft fonts, but
> does not address the fundamental problem here, which is the availability
> of scalable PostScript fonts.

Some "Microsoft fonts compatible fonts" only.

> Symptom: with ghostscript-fonts-5.50-16.fc7, urw-fonts-2.3-6.1.1, and
> liberation-fonts-0.2-2.fc7 installed, the following commands yield the
> "Cannot convert string to type FontStruct" error:
> 
> xload -fn '-*-palatino-*-r-*-*-0-*-*-*-*-*-*-*'
> xload -fn '-*-avantgarde-*-r-*-*-0-*-*-*-*-*-*-*'
> xload -fn '-*-bookman-*-r-*-*-0-*-*-*-*-*-*-*'
> xload -fn '-*-new century schoolbook-*-r-*-*-0-*-*-*-*-*-*-*'
> xload -fn '-*-times-medium-r-*-*-0-*-*-*-*-*-ISO8859-*'

Are above font (or alias) supposed to be in liberation-fonts? If not, we should
forward to the font package relevant.
 
> These fonts ARE made available by ghostscript-fonts-8.11-1ht.noarch.rpm, 
> which is not part of Fedora, but are NOT available when Fedora's 
> ghostscript-fonts-5.50-16.fc7 package is installed.

Where is the ghostscript-fonts-8.11-1ht.noarch.rpm from?

> Also, the urw-fonts package claims to supply these fonts but
> apparently this does not work. The urw-fonts description specifically
> says "The fonts.dir file font names match the original Adobe names of
> the fonts (e.g., Times, Helvetica, etc.)." but you can look at the
> fonts.dir file and see that this simply is not true.

For this one I got a similar experience last night. When a software claimed an
error which Helvetica was not found, which I also was believing that Helvetica
is in urw-fonts as it said. We might need to create a new bug for urw-fonts in
this case.
Comment 13 Caius Chance 2007-10-04 21:02:44 EDT
Hi Mark, Would you please feedback if the followings sounds:

1. Request ghostscript-fonts in Fedora have the entries in its font.alias.

2. Clarify if urw-fonts ships those fonts it claims to have. Otherwise, either
see if maintainer could create font.alias as well as above, or request to remove
such statement in its description.
Comment 14 Mark Alford 2007-10-04 21:42:25 EDT
> Where is the ghostscript-fonts-8.11-1ht.noarch.rpm from?

I got it from rpmfind.
http://rpmfind.net/linux/RPM/sourceforge/e/ep/epsonepl/ghostscript-fonts-8.11-1ht.noarch.html
But I think there are problems with making this an official Fedora package.
See bug 195527 for more discussion of this issue.

> > xload -fn '-*-palatino-*-r-*-*-0-*-*-*-*-*-*-*'
> > xload -fn '-*-avantgarde-*-r-*-*-0-*-*-*-*-*-*-*'
> > xload -fn '-*-bookman-*-r-*-*-0-*-*-*-*-*-*-*'
> > xload -fn '-*-new century schoolbook-*-r-*-*-0-*-*-*-*-*-*-*'
> > xload -fn '-*-times-medium-r-*-*-0-*-*-*-*-*-ISO8859-*'
> Are above font (or alias) supposed to be in liberation-fonts? 

These font names are standard PostScript font names, which should be
available on a properly set up Fedora system.

I don't think liberation-fonts is the problem: it doesn't
claim to supply PostScript fonts. 

> If not, we should forward to the font package relevant.
> We might need to create a new bug for urw-fonts in this case.

Yes. Perhaps we could reopen bug 122503.

> Hi Mark, Would you please feedback if the followings sounds:
> 1. Request ghostscript-fonts in Fedora have the entries in its font.alias.
> 2. Clarify if urw-fonts ships those fonts it claims to
> have. Otherwise, either see if maintainer could create font.alias as
> well as above, or request to remove such statement in its description.

urw-fonts supplies the PostScript fonts under alternative names
("urw palladio l" instead of "palatino", etc). 
In bug 122503 there is discussion of whether there are trademark 
issues with using the standard PostScript names.

I think it would be good to start with urw-fonts, and ask the maintainers
why their package doesn't do what it claims to do!
Perhaps they know the right way to make PostScript fonts available.

Comment 15 Caius Chance 2007-10-07 19:20:29 EDT
Is there any solutions that solve the problem without touching the trademark of
anybody?
Comment 16 Jens Petersen 2007-10-07 19:55:36 EDT
Ok, I am afraid this seems to be a duplicate of bug 122503.

According to that bug there is not anything we can do about this
at the font level. :-/

What are you specifically trying to do with the aliases though?
Eg do you want to print something from OpenOffice say or do you
have some ps/pdf files you're trying to print?  If you can provide
more details perhaps other solutions might emerge...

*** This bug has been marked as a duplicate of 122503 ***
Comment 17 Mark Alford 2007-10-07 21:25:53 EDT
> According to that bug there is not anything we can do about this
> at the font level. :-/

OK, so we agree that at minimum the package description for urw-fonts needs to
be amended, since it claims to supply PostScript fonts under their Adobe names.

> What are you specifically trying to do with the aliases though?

I found this bug through xfig, which expects PostScript fonts to be available on
the system. Whenever you try to add text to an xfig diagram it lets you pick any
of the standard 35 PostScript fonts. If they aren't present then your diagram
comes out all wrong.

Comment #1 on bug 122503 gave me hope that the fonts could be made available
system-wide under their traditional names (via some sort of aliasing) while
avoiding trademark issues. That is still what I hope for. 

One thing I don't understand is why I can get everything to work if I use the
alternative ghostscript-fonts package that I mentioned in comment #3. Does that
package violate Adobe's copyright? If so, how come it is freely available?


Comment 18 Caius Chance 2007-10-07 22:00:57 EDT
> One thing I don't understand is why I can get everything to work if I use the
> alternative ghostscript-fonts package that I mentioned in comment #3. Does that
> package violate Adobe's copyright? If so, how come it is freely available?

AFAIK, the package you got from rpmfind.net isn't from Red Hat.(In reply to
comment #17)

Just like some media codecs, though there might be certain copyright issue,
there are still some places on the Internet hosting the packages of them.
Comment 19 Jens Petersen 2007-10-07 22:05:13 EDT
(In reply to comment #17)
> OK, so we agree that at minimum the package description for urw-fonts needs to
> be amended, since it claims to supply PostScript fonts under their Adobe names.

True, so I reopened the bug.

> I found this bug through xfig, which expects PostScript fonts to be available on
> the system. Whenever you try to add text to an xfig diagram it lets you pick any
> of the standard 35 PostScript fonts. If they aren't present then your diagram
> comes out all wrong.

Hmm ok, fair enough - my only comment is that xfig is really pretty old
now: have you considered using a more modern program like inkscape or
dia say instead?

> Comment #1 on bug 122503 gave me hope that the fonts could be made available
> system-wide under their traditional names (via some sort of aliasing) while
> avoiding trademark issues. That is still what I hope for. 

Well you original claim was that there is no fonts.dir file...

> One thing I don't understand is why I can get everything to work if I use the
> alternative ghostscript-fonts package that I mentioned in comment #3.
> Does that package violate Adobe's copyright? If so, how come it is freely
available?

That rpm seems to come from http://sourceforge.net/projects/epsonepl/.

IANAL and I don't fully understand the problem of using the postscript
font names as aliases.  I suggest it would be a good idea to discuss
on fedora-legal list to clarify the problem.
Comment 20 Mark Alford 2007-10-07 22:45:05 EDT
> my only comment is that xfig is really pretty old now: have you considered
> using a more modern program like inkscape or dia say instead?
xfig is well-maintained: I had helpful discussions with its developer while I
was tracking down the origins of this font problem. I might check out dia at
some point but I have a substantial number of xfig diagrams that I use regularly
for seminars and classes,  so I would like to be able to continue with xfig for
a while.

> > Comment #1 on bug 122503 gave me hope that the fonts could be made available
> > system-wide under their traditional names (via some sort of aliasing) while
> > avoiding trademark issues. That is still what I hope for. 
> Well you original claim was that there is no fonts.dir file...

Yes I immediately admitted I was wrong about that when the real situation ws
explained to me. But you didn't comment on my expressed hope for system-wide
access to standard scalable PostScript fonts. I hope you agree this is a
reasonable goal, once its legality is established.

> I suggest it would be a good idea to discuss on fedora-legal 
> list to clarify the problem.

OK, do you mean I should do that (as you've already noted, I am
not particularly well-informed about this problem, but I'm happy to
do things that are within my competence) or that you or someone at 
Red Hat will do it...?


Comment 21 Jens Petersen 2007-10-07 23:13:35 EDT
(In reply to comment #20)
> Comment #1 on bug 122503

(Sorry I misread thought you were referring to comment 1 here.)

> But you didn't comment on my expressed hope for system-wide
> access to standard scalable PostScript fonts. I hope you agree this is a
> reasonable goal, once its legality is established.

(Yes, btw I am not the maintainer but just trying to help out here.:)

Than, do you have any comments? :)

> > I suggest it would be a good idea to discuss on fedora-legal 
> > list to clarify the problem.
> 
> OK, do you mean I should do that (as you've already noted, I am
> not particularly well-informed about this problem, but I'm happy to
> do things that are within my competence) or that you or someone at 
> Red Hat will do it...?

Yes that would be helpful:)  But probably we should give the maintainer
a chance to comment first.
Comment 22 Fedora Update System 2007-10-08 10:56:09 EDT
liberation-fonts-0.2-2.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 23 Jens Petersen 2007-10-08 19:10:18 EDT
Reopening again since this was auto-closed by bodhi
with the update of liberation-fonts.
Comment 24 Mark Alford 2008-02-07 10:50:08 EST
This appears to still be a problem.
Under Fedora 7, with  urw-fonts-2.3-6.1.1
one still cannot get a scalable Times font from urw, as the urw-fonts
documentation claims one should:

> xlsfonts -fn '-*-times-*-*-*-*-*-0-*-*-*-*-*-*'

-adobe-times-regular-r-normal--0-0-0-0-p-0-iso8859-1
-adobe-times-regular-r-normal--12-0-75-75-p-0-iso8859-1
-adobe-utopia-bold-i-normal--0-0-0-0-p-0-iso8859-1
-adobe-utopia-bold-i-normal--0-0-0-0-p-0-iso8859-1
-adobe-utopia-bold-r-normal--0-0-0-0-p-0-iso8859-1
-adobe-utopia-bold-r-normal--0-0-0-0-p-0-iso8859-1
-adobe-utopia-medium-i-normal--0-0-0-0-p-0-iso8859-1
-adobe-utopia-medium-i-normal--0-0-0-0-p-0-iso8859-1
-sazanami-times-medium-r-normal--0-0-0-0-c-0-jisx0208.1983-0
-sazanami-times-medium-r-normal--12-0-75-75-c-0-jisx0208.1983-0

Note that there are matching fonts from adobe, but none from urw.
Comment 25 Ngo Than 2008-02-11 09:37:42 EST
if i remember correctly, there's copyright issue with the font alias that we 
removed in urw-fonts long ago. Sorry, the bug cannot be fixed.

it's a bug in the urw-fonts description that still mentions that the
fonts.dir file font names match the original Adobe names of the fonts
(e.g., Times, Helvetica, etc.). It will be fixed.

Comment 26 Mark Alford 2008-02-11 10:45:06 EST
If that were true then no package should be supplying fonts with *any* of the
original Adobe font names. But if you type
> xlsfonts -fn '-*-times-*-*-*-*-*-*-*-*-*-*-*-*'
you get
-adobe-times-bold-i-normal--10-100-75-75-p-57-iso10646-1
-adobe-times-bold-i-normal--10-100-75-75-p-57-iso8859-1
-adobe-times-bold-i-normal--11-80-100-100-p-57-iso10646-1
-adobe-times-bold-i-normal--11-80-100-100-p-57-iso8859-1
etc

and if you type 
xlsfonts -fn '-*-courier-*-*-*-*-*-*-*-*-*-*-*-*'
you get matches from adobe
-adobe-courier-bold-o-normal--10-100-75-75-m-60-iso10646-1
-adobe-courier-bold-o-normal--10-100-75-75-m-60-iso8859-1
-adobe-courier-bold-o-normal--11-80-100-100-m-60-iso10646-1
-adobe-courier-bold-o-normal--11-80-100-100-m-60-iso8859-1
etc
and from IBM
-ibm-courier-bold-i-normal--0-0-0-0-m-0-adobe-standard
-ibm-courier-bold-i-normal--0-0-0-0-m-0-ascii-0
-ibm-courier-bold-i-normal--0-0-0-0-m-0-iso10646-1
-ibm-courier-bold-i-normal--0-0-0-0-m-0-iso8859-1
etc.

So what about the packages that are supplying those original Adobe fonts?
Why is it OK for them and not for urw-fonts?

Note You need to log in before you can comment on or make changes to this bug.